Remove a discount from a subscription
DELETE
/api/subscriptions/{id}/discounts/{discountId}
const url = 'https://api.usegro.co/api/subscriptions/example/discounts/example';const options = { method: 'DELETE', headers: {Authorization: 'Bearer <token>', 'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.usegro.co/api/subscriptions/example/discounts/example \ --header 'Authorization: Bearer <token>' \ --header 'X-API-Key: <X-API-Key>'Takes an active discount off the subscription’s contract.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”discountId
required
string
id
required
string
Responses
Section titled “Responses”Removed
Media typeapplication/json
The discount is not active
Media typeapplication/json
Subscription or discount not found
Media typeapplication/json